import { createService } from '@/utils/createRequest'
const request = createService(process.env.VUE_APP_Knowledge_API)
export function _getDictList() {
  return request({
    url: '/DictList',
    method: 'get'
  })
}

export function _getFileList(id) {
  return request({
    url: '/FileList',
    method: 'get',
    params: { id }
  })
}

export function _put(data) {
  return request({
    url: '/File',
    method: 'put',
    data
  })
}

export function _delete(id) {
  return request({
    url: '/File',
    method: 'delete',
    params: { id }
  })
}
